import { defineComponent, onMounted } from 'vue';
import styles from './index.module.less';
import { NInput, NScrollbar, NSelect, NThing } from 'naive-ui';
import { useRouter } from 'vue-router';
import { BOOK_DATA } from '/src/views/natural-resources/model/add-teaching';
import { classGroupPage } from '../../api';

const classList: any = [];
for (let i = 1; i <= 40; i++) {
  classList.push({ label: i + '班', value: i });
}

export default defineComponent({
  name: 'attend-class',
  emits: ['close'],
  setup(props, { emit }) {
    const router = useRouter();
    const onAttendClass = (i: any) => {
      emit('close');

      const { href } = router.resolve({
        path: '/attend-class'
      });
      window.open(href, +new Date() + '');
    };

    const getList = async () => {
      try {
        await classGroupPage({});
      } catch {
        //
      }
    };

    onMounted(() => {
      getList();
    });

    return () => (
      <div class={styles.attendClass}>
        <div class={styles.attendClassSearch}>
          <NInput placeholder="请输入班级名称" clearable>
            {{
              prefix: () => <span class="icon-search-input"></span>
            }}
          </NInput>
          <NSelect placeholder="年级" clearable options={BOOK_DATA.grades} />
          <NSelect placeholder="班级" clearable options={classList} />
        </div>
        <NScrollbar class={styles.classList}>
          {[1, 2, 3, 4, 5, 6, 7].map(i => (
            <div onClick={() => onAttendClass(i)}>
              <NThing class={styles.thingItem}>
                {{
                  header: () => (
                    <div class={styles.title}>一年级{i}班 23人</div>
                  ),
                  default: () => (
                    <div class={styles.content}>
                      人教版二年级上册 | 第一单元 |【歌表演】我和我的祖国
                    </div>
                  )
                }}
              </NThing>
            </div>
          ))}
        </NScrollbar>
      </div>
    );
  }
});
